## ocaml-gettext 0.4.2

=== examples/po/Makefile ===
##########################################################################
#  ocaml-gettext: a library to translate messages                        #
#                                                                        #
#  Copyright (C) 2003-2008 Sylvain Le Gall <sylvain@le-gall.net>         #
#                                                                        #
#  This library is free software; you can redistribute it and/or         #
#  modify it under the terms of the GNU Lesser General Public            #
#  License as published by the Free Software Foundation; either          #
#  version 2.1 of the License, or (at your option) any later version;    #
#  with the OCaml static compilation exception.                          #
#                                                                        #
#  This library is distributed in the hope that it will be useful,       #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     #
#  Lesser General Public License for more details.                       #
#                                                                        #
#  You should have received a copy of the GNU Lesser General Public      #
#  License along with this library; if not, write to the Free Software   #
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307   #
#  USA                                                                   #
##########################################################################

OCAML_GETTEXT_PACKAGE = mydomain
LINGUAS=$(shell cat LINGUAS)
SOURCES=POTFILES

OCAML_GETTEXT=ocaml-gettext
OCAML_GETTEXT_EXTRACT_OPTIONS=
OCAML_GETTEXT_COMPILE_OPTIONS=
OCAML_GETTEXT_INSTALL_OPTIONS=
OCAML_GETTEXT_MERGE_OPTIONS=

BUILDPO=../build/share/locale/

POFILES=$(addsuffix .po,$(LINGUAS))
MOFILES=$(addsuffix .mo,$(LINGUAS))
POTFILE=$(OCAML_GETTEXT_PACKAGE).pot

all: install-buildpo

install: install-po

uninstall: uninstall-po

clean:: clean-po

%.mo: %.po
	$(OCAML_GETTEXT) --action compile $(OCAML_GETTEXT_COMPILE_OPTIONS)    \
	--compile-output $@ $^

%.pot: $(SOURCES)
	$(OCAML_GETTEXT) --action extract $(OCAML_GETTEXT_EXTRACT_OPTIONS)    \
	--extract-pot $@ $^

%.po: $(POTFILE)
	$(OCAML_GETTEXT) --action merge   $(OCAML_GETTEXT_MERGE_OPTIONS)      \
	--merge-pot $(POTFILE) $@

$(BUILDPO): 
	mkdir -p $(BUILDPO)

.PRECIOUS: $(POTFILE) 

install-buildpo: $(MOFILES) $(BUILDPO)
	$(OCAML_GETTEXT) --action install $(OCAML_GETTEXT_INSTALL_OPTIONS)    \
	--install-textdomain $(OCAML_GETTEXT_PACKAGE)                         \
	--install-destdir $(BUILDPO) $(MOFILES)

install-po: $(MOFILES) 
	$(OCAML_GETTEXT) --action install $(OCAML_GETTEXT_INSTALL_OPTIONS)    \
	--install-textdomain $(OCAML_GETTEXT_PACKAGE)                         \
	--install-destdir $(PODIR) $(MOFILES)

uninstall-po:
	$(OCAML_GETTEXT) --action uninstall $(OCAML_GETTEXT_INSTALL_OPTIONS)  \
	--uninstall-textdomain $(OCAML_GETTEXT_PACKAGE)                       \
	--uninstall-orgdir $(PODIR) $(MOFILES)

clean-po:
	-$(OCAML_GETTEXT) --action uninstall $(OCAML_GETTEXT_INSTALL_OPTIONS) \
	--uninstall-textdomain $(OCAML_GETTEXT_PACKAGE)                       \
	--uninstall-orgdir $(BUILDPO) $(MOFILES)
	-$(RM) $(MOFILES)

=== debian/changelog ===
ocaml-gettext (0.4.2-3build1) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:23:48 +0100

ocaml-gettext (0.4.2-3) unstable; urgency=medium

  * Team upload
  * Fix compilation with camomile 2.0.0
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Sun, 08 Oct 2023 10:15:25 +0200

ocaml-gettext (0.4.2-2) unstable; urgency=medium

  * Team upload
  * Use ocam_dune DH buildsystem (Closes: #1042098)
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2023 06:31:05 +0200

ocaml-gettext (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * Update copyright
  * Add Rules-Requires-Root
  * Update dependencies

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 15 Jun 2020 12:32:40 +0200

=== debian/control ===
Source: ocaml-gettext
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: camlp4,
               camlp4-extra,
               cppo,
               debhelper-compat (= 13),
               dh-ocaml (>= 1.2.2),
               libbenchmark-ocaml-dev,
               libcamomile-ocaml-dev (>= 2.0.0),
               libdune-ocaml-dev,
               libfileutils-ocaml-dev,
               liblablgtk3-ocaml-dev,
               libounit-ocaml-dev,
               ocaml-dune,
               ocaml-findlib,
               ocaml
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-gettext.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-gettext
Homepage: http://forge.ocamlcore.org/projects/ocaml-gettext/
Rules-Requires-Root: no

Package: libgettext-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml internationalization shared library
 This library provides utilities and libraries to enable localization
 in OCaml programs. It is based on the same principle of GNU gettext.
 .
 The package provides two libraries to do effectively translation :
  - gettext-camomile : pure OCaml implementation of gettext
  - gettext-stub : implementation using the gettext library.
 .
 This package contains shared library.

Package: libgettext-ocaml-dev
Architecture: any
Depends: libcamomile-ocaml-dev,
         libfileutils-ocaml-dev,
         libgettext-ocaml (= ${binary:Version}),
         ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: OCaml internationalization library
 This library provides utilities and libraries to enable localization
 in OCaml programs. It is based on the same principle of GNU gettext.
 .
 The package provides two libraries to do effectively translation :
  - gettext-camomile : pure OCaml implementation of gettext
  - gettext-stub : implementation using the gettext library.
 .
 This package contains header, OCaml library and devel tools.

## ocaml-gettext 0.5.0

=== Makefile ===
##########################################################################
#  ocaml-gettext: a library to translate messages                        #
#                                                                        #
#  Copyright (C) 2003-2008 Sylvain Le Gall <sylvain@le-gall.net>         #
#                                                                        #
#  This library is free software; you can redistribute it and/or         #
#  modify it under the terms of the GNU Lesser General Public            #
#  License as published by the Free Software Foundation; either          #
#  version 2.1 of the License, or (at your option) any later version;    #
#  with the OCaml static compilation exception.                          #
#                                                                        #
#  This library is distributed in the hope that it will be useful,       #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     #
#  Lesser General Public License for more details.                       #
#                                                                        #
#  You should have received a copy of the GNU Lesser General Public      #
#  License along with this library; if not, write to the Free Software   #
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307   #
#  USA                                                                   #
##########################################################################

default: build test

build:
	dune build @install

doc:
	dune build @doc

test:
	dune runtest

all:
	dune build @all

install:
	dune install

uninstall:
	dune uninstall

clean:
	dune clean

fmt:
	dune fmt

lint:
	opam-dune-lint
	dune build @fmt

bench:
	dune exec --workspace dune-workspace.dev \
		test/bench/bench.exe -- --test_dir ./test/testdata

headache: distclean
	headache -h .header \
		-c .headache.config \
		`find $(CURDIR)/ -type d -name .svn -prune -false -o -type f`

git-pre-commit-hook: test lint

deploy: doc test
	dune-release lint
	dune-release tag
	git push --all
	git push --tag
	dune-release

eol:
	find ./ -name _build -prune -false -or -name "*.ml" | xargs grep -r -e "  *$$"


export OCAML_GETTEXT=$(readlink -f _build/default/src/bin/ocaml-gettext/OCamlGettext.exe)
export OCAML_XGETTEXT=$(readlink -f _build/default/src/bin/ocaml-xgettext/xgettext.exe)
update-po: build
	$(MAKE) -C examples/po all
	$(MAKE) -C po all

.PHONY: build doc test all uninstall clean install bench deploy lint fmt update-po

=== po/Makefile ===
##########################################################################
#  ocaml-gettext: a library to translate messages                        #
#                                                                        #
#  Copyright (C) 2003-2008 Sylvain Le Gall <sylvain@le-gall.net>         #
#                                                                        #
#  This library is free software; you can redistribute it and/or         #
#  modify it under the terms of the GNU Lesser General Public            #
#  License as published by the Free Software Foundation; either          #
#  version 2.1 of the License, or (at your option) any later version;    #
#  with the OCaml static compilation exception.                          #
#                                                                        #
#  This library is distributed in the hope that it will be useful,       #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     #
#  Lesser General Public License for more details.                       #
#                                                                        #
#  You should have received a copy of the GNU Lesser General Public      #
#  License along with this library; if not, write to the Free Software   #
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307   #
#  USA                                                                   #
##########################################################################


BUILDPO=../_build/default/share/locale/
OCAML_GETTEXT_PACKAGE = ocaml-gettext
LINGUAS=$(shell cat LINGUAS)
SOURCES=$(shell cat POTFILES)

OCAML_GETTEXT=ocaml-gettext
OCAML_XGETTEXT=ocaml-xgettext
OCAML_GETTEXT_EXTRACT_OPTIONS=--extract-command $(OCAML_XGETTEXT)
OCAML_GETTEXT_COMPILE_OPTIONS=
OCAML_GETTEXT_INSTALL_OPTIONS=
OCAML_GETTEXT_MERGE_OPTIONS=

POFILES=$(addsuffix .po,$(LINGUAS))
MOFILES=$(addsuffix .mo,$(LINGUAS))
POTFILE=$(OCAML_GETTEXT_PACKAGE).pot

all: install-buildpo

install: install-po

uninstall: uninstall-po

clean:: clean-po

%.mo: %.po
	$(OCAML_GETTEXT) --action compile $(OCAML_GETTEXT_COMPILE_OPTIONS)    \
	--compile-output $@ $^

%.pot: $(SOURCES)
	$(OCAML_GETTEXT) --action extract $(OCAML_GETTEXT_EXTRACT_OPTIONS)    \
	--extract-pot $@ $^

%.po: $(POTFILE)
	$(OCAML_GETTEXT) --action merge   $(OCAML_GETTEXT_MERGE_OPTIONS)      \
	--merge-pot $(POTFILE) $@

$(BUILDPO):
	mkdir -p $(BUILDPO)

.PRECIOUS: $(POTFILE)

install-buildpo: $(MOFILES) $(BUILDPO)
	$(OCAML_GETTEXT) --action install $(OCAML_GETTEXT_INSTALL_OPTIONS)    \
	--install-textdomain $(OCAML_GETTEXT_PACKAGE)                         \
	--install-destdir $(BUILDPO) $(MOFILES)

install-po: $(MOFILES)
	$(OCAML_GETTEXT) --action install $(OCAML_GETTEXT_INSTALL_OPTIONS)    \
	--install-textdomain $(OCAML_GETTEXT_PACKAGE)                         \
	--install-destdir $(PODIR) $(MOFILES)

uninstall-po: $(OCAML_GETTEXT)
	$(OCAML_GETTEXT) --action uninstall $(OCAML_GETTEXT_INSTALL_OPTIONS)  \
	--uninstall-textdomain $(OCAML_GETTEXT_PACKAGE)                       \
	--uninstall-orgdir $(PODIR) $(MOFILES)

clean-po:
	-$(OCAML_GETTEXT) --action uninstall $(OCAML_GETTEXT_INSTALL_OPTIONS) \
	--uninstall-textdomain $(OCAML_GETTEXT_PACKAGE)                       \
	--uninstall-orgdir $(BUILDPO) $(MOFILES)
	-$(RM) $(MOFILES)

=== examples/po/Makefile ===
--- 
+++ 
@@ -22,15 +22,16 @@
 
 OCAML_GETTEXT_PACKAGE = mydomain
 LINGUAS=$(shell cat LINGUAS)
-SOURCES=POTFILES
+SOURCES=$(shell cat POTFILES)
 
 OCAML_GETTEXT=ocaml-gettext
-OCAML_GETTEXT_EXTRACT_OPTIONS=
+OCAML_XGETTEXT=ocaml-xgettext
+OCAML_GETTEXT_EXTRACT_OPTIONS=--extract-command $(OCAML_XGETTEXT)
 OCAML_GETTEXT_COMPILE_OPTIONS=
 OCAML_GETTEXT_INSTALL_OPTIONS=
 OCAML_GETTEXT_MERGE_OPTIONS=
 
-BUILDPO=../build/share/locale/
+BUILDPO=../../_build/share/locale/
 
 POFILES=$(addsuffix .po,$(LINGUAS))
 MOFILES=$(addsuffix .mo,$(LINGUAS))
@@ -56,17 +57,17 @@
 	$(OCAML_GETTEXT) --action merge   $(OCAML_GETTEXT_MERGE_OPTIONS)      \
 	--merge-pot $(POTFILE) $@
 
-$(BUILDPO): 
+$(BUILDPO):
 	mkdir -p $(BUILDPO)
 
-.PRECIOUS: $(POTFILE) 
+.PRECIOUS: $(POTFILE)
 
 install-buildpo: $(MOFILES) $(BUILDPO)
 	$(OCAML_GETTEXT) --action install $(OCAML_GETTEXT_INSTALL_OPTIONS)    \
 	--install-textdomain $(OCAML_GETTEXT_PACKAGE)                         \
 	--install-destdir $(BUILDPO) $(MOFILES)
 
-install-po: $(MOFILES) 
+install-po: $(MOFILES)
 	$(OCAML_GETTEXT) --action install $(OCAML_GETTEXT_INSTALL_OPTIONS)    \
 	--install-textdomain $(OCAML_GETTEXT_PACKAGE)                         \
 	--install-destdir $(PODIR) $(MOFILES)
@@ -80,4 +81,4 @@
 	-$(OCAML_GETTEXT) --action uninstall $(OCAML_GETTEXT_INSTALL_OPTIONS) \
 	--uninstall-textdomain $(OCAML_GETTEXT_PACKAGE)                       \
 	--uninstall-orgdir $(BUILDPO) $(MOFILES)
-	-$(RM) $(MOFILES) 
+	-$(RM) $(MOFILES)

=== debian/changelog ===
ocaml-gettext (0.5.0-1) unstable; urgency=medium

  * New upstream release
    - all patches have been merged upstream
  * Update Homepage
  * Bump Standards-Version to 4.7.2

 -- Stéphane Glondu <glondu@debian.org>  Fri, 28 Feb 2025 06:44:36 +0100

ocaml-gettext (0.4.2-5) unstable; urgency=medium

  * Team upload
  * Fix compilation with OCaml 5.3.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 15 Jan 2025 05:27:48 +0100

ocaml-gettext (0.4.2-4) unstable; urgency=medium

  * Fix compilation with OCaml 5.x

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Jun 2024 08:57:28 +0200

## ocaml-gettext 0.5.0%2B%2Bgit5-g6591d7a

=== debian/changelog ===
ocaml-gettext (0.5.0++git5-g6591d7a-1) unstable; urgency=medium

  * Team upload
  * New upstream snapshot

 -- Stéphane Glondu <glondu@debian.org>  Fri, 23 Jan 2026 15:35:20 +0100

ocaml-gettext (0.5.0+really0.4.2-2) unstable; urgency=medium

  * Team upload
  * Fix compilation with OCaml 5.4.0
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Dec 2025 22:08:39 +0100

ocaml-gettext (0.5.0+really0.4.2-1) unstable; urgency=medium

  * Team upload
  * Revert upstream to 0.4.2 (Closes: #1101568)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 29 Mar 2025 15:32:44 +0100

## ocaml-gettext 0.5.0+really0.4.2

=== po/Makefile ===
--- 
+++ 
@@ -21,14 +21,15 @@
 ##########################################################################
 
 
-BUILDPO=../_build/default/share/locale/
+include ../ConfMakefile
+include ../TopMakefile
+
 OCAML_GETTEXT_PACKAGE = ocaml-gettext
 LINGUAS=$(shell cat LINGUAS)
-SOURCES=$(shell cat POTFILES)
+SOURCES=POTFILES
 
-OCAML_GETTEXT=ocaml-gettext
-OCAML_XGETTEXT=ocaml-xgettext
-OCAML_GETTEXT_EXTRACT_OPTIONS=--extract-command $(OCAML_XGETTEXT)
+OCAML_GETTEXT=$(BUILDBIN)/ocaml-gettext
+OCAML_GETTEXT_EXTRACT_OPTIONS=--extract-command $(BUILDBIN)/ocaml-xgettext
 OCAML_GETTEXT_COMPILE_OPTIONS=
 OCAML_GETTEXT_INSTALL_OPTIONS=
 OCAML_GETTEXT_MERGE_OPTIONS=
@@ -57,17 +58,17 @@
 	$(OCAML_GETTEXT) --action merge   $(OCAML_GETTEXT_MERGE_OPTIONS)      \
 	--merge-pot $(POTFILE) $@
 
-$(BUILDPO):
+$(BUILDPO): 
 	mkdir -p $(BUILDPO)
 
-.PRECIOUS: $(POTFILE)
+.PRECIOUS: $(POTFILE) 
 
-install-buildpo: $(MOFILES) $(BUILDPO)
+install-buildpo: $(MOFILES) $(BUILDPO) $(OCAML_GETTEXT)
 	$(OCAML_GETTEXT) --action install $(OCAML_GETTEXT_INSTALL_OPTIONS)    \
 	--install-textdomain $(OCAML_GETTEXT_PACKAGE)                         \
 	--install-destdir $(BUILDPO) $(MOFILES)
 
-install-po: $(MOFILES)
+install-po: $(MOFILES) $(OCAML_GETTEXT)
 	$(OCAML_GETTEXT) --action install $(OCAML_GETTEXT_INSTALL_OPTIONS)    \
 	--install-textdomain $(OCAML_GETTEXT_PACKAGE)                         \
 	--install-destdir $(PODIR) $(MOFILES)

=== debian/changelog ===
ocaml-gettext (0.5.0+really0.4.2-1build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:44:12 +0200

ocaml-gettext (0.5.0+really0.4.2-1build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:32:29 +0200

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,10 @@
                ocaml-dune,
                ocaml-findlib,
                ocaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-gettext.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-gettext
-Homepage: http://forge.ocamlcore.org/projects/ocaml-gettext/
+Homepage: https://github.com/gildor478/ocaml-gettext
 Rules-Requires-Root: no
 
 Package: libgettext-ocaml

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ocaml-gettext-$1\.tar\.gz/ \
    https://github.com/gildor478/ocaml-gettext/tags .*/v?(\d\S+)\.tar\.gz

## ocaml-gettext 0.5.0++git5-g6591d7a

=== debian/changelog ===
ocaml-gettext (0.5.0++git5-g6591d7a-1build1) resolute; urgency=medium

  * No change rebuild with fixed amd64v3 builders

 -- Sebastien Bacher <seb128@debian.org>  Sat, 28 Feb 2026 20:45:37 +0100
